curl --request PATCH \
--url https://www.getsurfaced.ai/api/v1/briefs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-Id: <x-workspace-id>' \
--data '
{
"title": "<string>",
"keyword": "<string>",
"persona": "<string>",
"region": "<string>",
"language": "<string>",
"intent": "<string>",
"tags": [
"<string>"
],
"notes": "<string>",
"category": "<string>",
"articleStructure": "<string>",
"culturalTone": "<string>",
"formality": "<string>",
"addressFormality": "<string>",
"wordCount": {
"min": 123,
"target": 123,
"max": 123
},
"requiredSections": [
"<string>"
],
"blockPreferences": {},
"templateId": "<string>",
"faqPosition": "<string>",
"cta": {},
"targetRegions": [
"<string>"
],
"targetMarkets": [
"<unknown>"
],
"locales": [
"<string>"
],
"locale": "<string>",
"idea_text": "<string>",
"primary_keyword": "<string>",
"input_tags": [
"<string>"
],
"article_structure": "<string>",
"cultural_tone": "<string>",
"address_formality": "<string>",
"word_count_min": 123,
"word_count_target": 123,
"word_count_max": 123,
"required_sections": [
"<string>"
],
"block_preferences": {},
"template_id": "<string>",
"faq_position": "<string>",
"target_regions": [
"<string>"
],
"target_markets": [
"<unknown>"
],
"position": 123
}
'import requests
url = "https://www.getsurfaced.ai/api/v1/briefs/{id}"
payload = {
"title": "<string>",
"keyword": "<string>",
"persona": "<string>",
"region": "<string>",
"language": "<string>",
"intent": "<string>",
"tags": ["<string>"],
"notes": "<string>",
"category": "<string>",
"articleStructure": "<string>",
"culturalTone": "<string>",
"formality": "<string>",
"addressFormality": "<string>",
"wordCount": {
"min": 123,
"target": 123,
"max": 123
},
"requiredSections": ["<string>"],
"blockPreferences": {},
"templateId": "<string>",
"faqPosition": "<string>",
"cta": {},
"targetRegions": ["<string>"],
"targetMarkets": ["<unknown>"],
"locales": ["<string>"],
"locale": "<string>",
"idea_text": "<string>",
"primary_keyword": "<string>",
"input_tags": ["<string>"],
"article_structure": "<string>",
"cultural_tone": "<string>",
"address_formality": "<string>",
"word_count_min": 123,
"word_count_target": 123,
"word_count_max": 123,
"required_sections": ["<string>"],
"block_preferences": {},
"template_id": "<string>",
"faq_position": "<string>",
"target_regions": ["<string>"],
"target_markets": ["<unknown>"],
"position": 123
}
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Workspace-Id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: '<string>',
keyword: '<string>',
persona: '<string>',
region: '<string>',
language: '<string>',
intent: '<string>',
tags: ['<string>'],
notes: '<string>',
category: '<string>',
articleStructure: '<string>',
culturalTone: '<string>',
formality: '<string>',
addressFormality: '<string>',
wordCount: {min: 123, target: 123, max: 123},
requiredSections: ['<string>'],
blockPreferences: {},
templateId: '<string>',
faqPosition: '<string>',
cta: {},
targetRegions: ['<string>'],
targetMarkets: ['<unknown>'],
locales: ['<string>'],
locale: '<string>',
idea_text: '<string>',
primary_keyword: '<string>',
input_tags: ['<string>'],
article_structure: '<string>',
cultural_tone: '<string>',
address_formality: '<string>',
word_count_min: 123,
word_count_target: 123,
word_count_max: 123,
required_sections: ['<string>'],
block_preferences: {},
template_id: '<string>',
faq_position: '<string>',
target_regions: ['<string>'],
target_markets: ['<unknown>'],
position: 123
})
};
fetch('https://www.getsurfaced.ai/api/v1/briefs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.getsurfaced.ai/api/v1/briefs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'keyword' => '<string>',
'persona' => '<string>',
'region' => '<string>',
'language' => '<string>',
'intent' => '<string>',
'tags' => [
'<string>'
],
'notes' => '<string>',
'category' => '<string>',
'articleStructure' => '<string>',
'culturalTone' => '<string>',
'formality' => '<string>',
'addressFormality' => '<string>',
'wordCount' => [
'min' => 123,
'target' => 123,
'max' => 123
],
'requiredSections' => [
'<string>'
],
'blockPreferences' => [
],
'templateId' => '<string>',
'faqPosition' => '<string>',
'cta' => [
],
'targetRegions' => [
'<string>'
],
'targetMarkets' => [
'<unknown>'
],
'locales' => [
'<string>'
],
'locale' => '<string>',
'idea_text' => '<string>',
'primary_keyword' => '<string>',
'input_tags' => [
'<string>'
],
'article_structure' => '<string>',
'cultural_tone' => '<string>',
'address_formality' => '<string>',
'word_count_min' => 123,
'word_count_target' => 123,
'word_count_max' => 123,
'required_sections' => [
'<string>'
],
'block_preferences' => [
],
'template_id' => '<string>',
'faq_position' => '<string>',
'target_regions' => [
'<string>'
],
'target_markets' => [
'<unknown>'
],
'position' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Workspace-Id: <x-workspace-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.getsurfaced.ai/api/v1/briefs/{id}"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"keyword\": \"<string>\",\n \"persona\": \"<string>\",\n \"region\": \"<string>\",\n \"language\": \"<string>\",\n \"intent\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"notes\": \"<string>\",\n \"category\": \"<string>\",\n \"articleStructure\": \"<string>\",\n \"culturalTone\": \"<string>\",\n \"formality\": \"<string>\",\n \"addressFormality\": \"<string>\",\n \"wordCount\": {\n \"min\": 123,\n \"target\": 123,\n \"max\": 123\n },\n \"requiredSections\": [\n \"<string>\"\n ],\n \"blockPreferences\": {},\n \"templateId\": \"<string>\",\n \"faqPosition\": \"<string>\",\n \"cta\": {},\n \"targetRegions\": [\n \"<string>\"\n ],\n \"targetMarkets\": [\n \"<unknown>\"\n ],\n \"locales\": [\n \"<string>\"\n ],\n \"locale\": \"<string>\",\n \"idea_text\": \"<string>\",\n \"primary_keyword\": \"<string>\",\n \"input_tags\": [\n \"<string>\"\n ],\n \"article_structure\": \"<string>\",\n \"cultural_tone\": \"<string>\",\n \"address_formality\": \"<string>\",\n \"word_count_min\": 123,\n \"word_count_target\": 123,\n \"word_count_max\": 123,\n \"required_sections\": [\n \"<string>\"\n ],\n \"block_preferences\": {},\n \"template_id\": \"<string>\",\n \"faq_position\": \"<string>\",\n \"target_regions\": [\n \"<string>\"\n ],\n \"target_markets\": [\n \"<unknown>\"\n ],\n \"position\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Workspace-Id", "<x-workspace-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://www.getsurfaced.ai/api/v1/briefs/{id}")
.header("X-Workspace-Id", "<x-workspace-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"keyword\": \"<string>\",\n \"persona\": \"<string>\",\n \"region\": \"<string>\",\n \"language\": \"<string>\",\n \"intent\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"notes\": \"<string>\",\n \"category\": \"<string>\",\n \"articleStructure\": \"<string>\",\n \"culturalTone\": \"<string>\",\n \"formality\": \"<string>\",\n \"addressFormality\": \"<string>\",\n \"wordCount\": {\n \"min\": 123,\n \"target\": 123,\n \"max\": 123\n },\n \"requiredSections\": [\n \"<string>\"\n ],\n \"blockPreferences\": {},\n \"templateId\": \"<string>\",\n \"faqPosition\": \"<string>\",\n \"cta\": {},\n \"targetRegions\": [\n \"<string>\"\n ],\n \"targetMarkets\": [\n \"<unknown>\"\n ],\n \"locales\": [\n \"<string>\"\n ],\n \"locale\": \"<string>\",\n \"idea_text\": \"<string>\",\n \"primary_keyword\": \"<string>\",\n \"input_tags\": [\n \"<string>\"\n ],\n \"article_structure\": \"<string>\",\n \"cultural_tone\": \"<string>\",\n \"address_formality\": \"<string>\",\n \"word_count_min\": 123,\n \"word_count_target\": 123,\n \"word_count_max\": 123,\n \"required_sections\": [\n \"<string>\"\n ],\n \"block_preferences\": {},\n \"template_id\": \"<string>\",\n \"faq_position\": \"<string>\",\n \"target_regions\": [\n \"<string>\"\n ],\n \"target_markets\": [\n \"<unknown>\"\n ],\n \"position\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.getsurfaced.ai/api/v1/briefs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Workspace-Id"] = '<x-workspace-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"keyword\": \"<string>\",\n \"persona\": \"<string>\",\n \"region\": \"<string>\",\n \"language\": \"<string>\",\n \"intent\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"notes\": \"<string>\",\n \"category\": \"<string>\",\n \"articleStructure\": \"<string>\",\n \"culturalTone\": \"<string>\",\n \"formality\": \"<string>\",\n \"addressFormality\": \"<string>\",\n \"wordCount\": {\n \"min\": 123,\n \"target\": 123,\n \"max\": 123\n },\n \"requiredSections\": [\n \"<string>\"\n ],\n \"blockPreferences\": {},\n \"templateId\": \"<string>\",\n \"faqPosition\": \"<string>\",\n \"cta\": {},\n \"targetRegions\": [\n \"<string>\"\n ],\n \"targetMarkets\": [\n \"<unknown>\"\n ],\n \"locales\": [\n \"<string>\"\n ],\n \"locale\": \"<string>\",\n \"idea_text\": \"<string>\",\n \"primary_keyword\": \"<string>\",\n \"input_tags\": [\n \"<string>\"\n ],\n \"article_structure\": \"<string>\",\n \"cultural_tone\": \"<string>\",\n \"address_formality\": \"<string>\",\n \"word_count_min\": 123,\n \"word_count_target\": 123,\n \"word_count_max\": 123,\n \"required_sections\": [\n \"<string>\"\n ],\n \"block_preferences\": {},\n \"template_id\": \"<string>\",\n \"faq_position\": \"<string>\",\n \"target_regions\": [\n \"<string>\"\n ],\n \"target_markets\": [\n \"<unknown>\"\n ],\n \"position\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"keyword": "<string>",
"persona": "<string>",
"region": "<string>",
"language": "<string>",
"intent": "<string>",
"tags": [
"<string>"
],
"notes": "<string>",
"category": "<string>",
"source": "<string>",
"position": 123,
"status": "draft",
"locked": true,
"run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "queued",
"paused": true,
"executionMode": "<string>",
"latestActivityAt": "2023-11-07T05:31:56Z",
"targets": [
{
"marketRef": "<string>",
"language": "<string>",
"locale": "<string>",
"state": "queued",
"articleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"markets": [
{
"marketRef": "<string>",
"name": "<string>",
"countries": [
"<string>"
],
"language": "<string>"
}
],
"content": {
"articleStructure": "<string>",
"culturalTone": "<string>",
"formality": "<string>",
"addressFormality": "<string>",
"wordCount": {
"min": 123,
"target": 123,
"max": 123
},
"requiredSections": [
"<string>"
],
"blockPreferences": {},
"templateId": "<string>",
"faqPosition": "<string>",
"cta": {},
"targetRegions": [
"<string>"
]
},
"gap": {
"gapIds": [
"<string>"
],
"suggestionId": "<string>",
"targetScope": "<unknown>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "pending",
"input_tags": [
"<string>"
],
"metadata": {},
"source_suggestion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_gap_ids": [
"<string>"
],
"article_structure": "<string>",
"cultural_tone": "<string>",
"formality": "<string>",
"address_formality": "<string>",
"word_count_min": 123,
"word_count_target": 123,
"word_count_max": 123,
"required_sections": [
"<string>"
],
"block_preferences": {},
"template_id": "<string>",
"faq_position": "<string>",
"cta": {},
"target_regions": [
"<string>"
],
"target_markets": [
"<unknown>"
],
"locale": "<string>",
"locales": [
"<string>"
],
"cultural_overrides": {},
"idea_text": "<string>",
"primary_keyword": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}Update a Content Brief
Changes the fields sent, while locked is false; once the Brief’s Run has started it is a 409 CONFLICT, so create a new Brief for a variation. Fields are camelCase; the legacy snake_case names are still accepted until the API sunset. A field sent under both names takes the one that differs from the stored value, so a Brief read with GET can be sent back with a field changed; two different values that both differ from it are a 422. Each value must have the field’s type (422 otherwise); null clears a field, except title. Fields this operation does not know are ignored until the API sunset, with an IGNORED_FIELDS warning naming them, and rejected after it; a body with only such fields changes nothing. An empty body is a 422. If the Briefs’ progress cannot be read, the response still has every other field, with status, locked and run null and a PARTIAL_DATA warning; retry later for them.
curl --request PATCH \
--url https://www.getsurfaced.ai/api/v1/briefs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-Id: <x-workspace-id>' \
--data '
{
"title": "<string>",
"keyword": "<string>",
"persona": "<string>",
"region": "<string>",
"language": "<string>",
"intent": "<string>",
"tags": [
"<string>"
],
"notes": "<string>",
"category": "<string>",
"articleStructure": "<string>",
"culturalTone": "<string>",
"formality": "<string>",
"addressFormality": "<string>",
"wordCount": {
"min": 123,
"target": 123,
"max": 123
},
"requiredSections": [
"<string>"
],
"blockPreferences": {},
"templateId": "<string>",
"faqPosition": "<string>",
"cta": {},
"targetRegions": [
"<string>"
],
"targetMarkets": [
"<unknown>"
],
"locales": [
"<string>"
],
"locale": "<string>",
"idea_text": "<string>",
"primary_keyword": "<string>",
"input_tags": [
"<string>"
],
"article_structure": "<string>",
"cultural_tone": "<string>",
"address_formality": "<string>",
"word_count_min": 123,
"word_count_target": 123,
"word_count_max": 123,
"required_sections": [
"<string>"
],
"block_preferences": {},
"template_id": "<string>",
"faq_position": "<string>",
"target_regions": [
"<string>"
],
"target_markets": [
"<unknown>"
],
"position": 123
}
'import requests
url = "https://www.getsurfaced.ai/api/v1/briefs/{id}"
payload = {
"title": "<string>",
"keyword": "<string>",
"persona": "<string>",
"region": "<string>",
"language": "<string>",
"intent": "<string>",
"tags": ["<string>"],
"notes": "<string>",
"category": "<string>",
"articleStructure": "<string>",
"culturalTone": "<string>",
"formality": "<string>",
"addressFormality": "<string>",
"wordCount": {
"min": 123,
"target": 123,
"max": 123
},
"requiredSections": ["<string>"],
"blockPreferences": {},
"templateId": "<string>",
"faqPosition": "<string>",
"cta": {},
"targetRegions": ["<string>"],
"targetMarkets": ["<unknown>"],
"locales": ["<string>"],
"locale": "<string>",
"idea_text": "<string>",
"primary_keyword": "<string>",
"input_tags": ["<string>"],
"article_structure": "<string>",
"cultural_tone": "<string>",
"address_formality": "<string>",
"word_count_min": 123,
"word_count_target": 123,
"word_count_max": 123,
"required_sections": ["<string>"],
"block_preferences": {},
"template_id": "<string>",
"faq_position": "<string>",
"target_regions": ["<string>"],
"target_markets": ["<unknown>"],
"position": 123
}
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Workspace-Id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: '<string>',
keyword: '<string>',
persona: '<string>',
region: '<string>',
language: '<string>',
intent: '<string>',
tags: ['<string>'],
notes: '<string>',
category: '<string>',
articleStructure: '<string>',
culturalTone: '<string>',
formality: '<string>',
addressFormality: '<string>',
wordCount: {min: 123, target: 123, max: 123},
requiredSections: ['<string>'],
blockPreferences: {},
templateId: '<string>',
faqPosition: '<string>',
cta: {},
targetRegions: ['<string>'],
targetMarkets: ['<unknown>'],
locales: ['<string>'],
locale: '<string>',
idea_text: '<string>',
primary_keyword: '<string>',
input_tags: ['<string>'],
article_structure: '<string>',
cultural_tone: '<string>',
address_formality: '<string>',
word_count_min: 123,
word_count_target: 123,
word_count_max: 123,
required_sections: ['<string>'],
block_preferences: {},
template_id: '<string>',
faq_position: '<string>',
target_regions: ['<string>'],
target_markets: ['<unknown>'],
position: 123
})
};
fetch('https://www.getsurfaced.ai/api/v1/briefs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.getsurfaced.ai/api/v1/briefs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'keyword' => '<string>',
'persona' => '<string>',
'region' => '<string>',
'language' => '<string>',
'intent' => '<string>',
'tags' => [
'<string>'
],
'notes' => '<string>',
'category' => '<string>',
'articleStructure' => '<string>',
'culturalTone' => '<string>',
'formality' => '<string>',
'addressFormality' => '<string>',
'wordCount' => [
'min' => 123,
'target' => 123,
'max' => 123
],
'requiredSections' => [
'<string>'
],
'blockPreferences' => [
],
'templateId' => '<string>',
'faqPosition' => '<string>',
'cta' => [
],
'targetRegions' => [
'<string>'
],
'targetMarkets' => [
'<unknown>'
],
'locales' => [
'<string>'
],
'locale' => '<string>',
'idea_text' => '<string>',
'primary_keyword' => '<string>',
'input_tags' => [
'<string>'
],
'article_structure' => '<string>',
'cultural_tone' => '<string>',
'address_formality' => '<string>',
'word_count_min' => 123,
'word_count_target' => 123,
'word_count_max' => 123,
'required_sections' => [
'<string>'
],
'block_preferences' => [
],
'template_id' => '<string>',
'faq_position' => '<string>',
'target_regions' => [
'<string>'
],
'target_markets' => [
'<unknown>'
],
'position' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Workspace-Id: <x-workspace-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.getsurfaced.ai/api/v1/briefs/{id}"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"keyword\": \"<string>\",\n \"persona\": \"<string>\",\n \"region\": \"<string>\",\n \"language\": \"<string>\",\n \"intent\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"notes\": \"<string>\",\n \"category\": \"<string>\",\n \"articleStructure\": \"<string>\",\n \"culturalTone\": \"<string>\",\n \"formality\": \"<string>\",\n \"addressFormality\": \"<string>\",\n \"wordCount\": {\n \"min\": 123,\n \"target\": 123,\n \"max\": 123\n },\n \"requiredSections\": [\n \"<string>\"\n ],\n \"blockPreferences\": {},\n \"templateId\": \"<string>\",\n \"faqPosition\": \"<string>\",\n \"cta\": {},\n \"targetRegions\": [\n \"<string>\"\n ],\n \"targetMarkets\": [\n \"<unknown>\"\n ],\n \"locales\": [\n \"<string>\"\n ],\n \"locale\": \"<string>\",\n \"idea_text\": \"<string>\",\n \"primary_keyword\": \"<string>\",\n \"input_tags\": [\n \"<string>\"\n ],\n \"article_structure\": \"<string>\",\n \"cultural_tone\": \"<string>\",\n \"address_formality\": \"<string>\",\n \"word_count_min\": 123,\n \"word_count_target\": 123,\n \"word_count_max\": 123,\n \"required_sections\": [\n \"<string>\"\n ],\n \"block_preferences\": {},\n \"template_id\": \"<string>\",\n \"faq_position\": \"<string>\",\n \"target_regions\": [\n \"<string>\"\n ],\n \"target_markets\": [\n \"<unknown>\"\n ],\n \"position\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Workspace-Id", "<x-workspace-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://www.getsurfaced.ai/api/v1/briefs/{id}")
.header("X-Workspace-Id", "<x-workspace-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"keyword\": \"<string>\",\n \"persona\": \"<string>\",\n \"region\": \"<string>\",\n \"language\": \"<string>\",\n \"intent\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"notes\": \"<string>\",\n \"category\": \"<string>\",\n \"articleStructure\": \"<string>\",\n \"culturalTone\": \"<string>\",\n \"formality\": \"<string>\",\n \"addressFormality\": \"<string>\",\n \"wordCount\": {\n \"min\": 123,\n \"target\": 123,\n \"max\": 123\n },\n \"requiredSections\": [\n \"<string>\"\n ],\n \"blockPreferences\": {},\n \"templateId\": \"<string>\",\n \"faqPosition\": \"<string>\",\n \"cta\": {},\n \"targetRegions\": [\n \"<string>\"\n ],\n \"targetMarkets\": [\n \"<unknown>\"\n ],\n \"locales\": [\n \"<string>\"\n ],\n \"locale\": \"<string>\",\n \"idea_text\": \"<string>\",\n \"primary_keyword\": \"<string>\",\n \"input_tags\": [\n \"<string>\"\n ],\n \"article_structure\": \"<string>\",\n \"cultural_tone\": \"<string>\",\n \"address_formality\": \"<string>\",\n \"word_count_min\": 123,\n \"word_count_target\": 123,\n \"word_count_max\": 123,\n \"required_sections\": [\n \"<string>\"\n ],\n \"block_preferences\": {},\n \"template_id\": \"<string>\",\n \"faq_position\": \"<string>\",\n \"target_regions\": [\n \"<string>\"\n ],\n \"target_markets\": [\n \"<unknown>\"\n ],\n \"position\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.getsurfaced.ai/api/v1/briefs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Workspace-Id"] = '<x-workspace-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"keyword\": \"<string>\",\n \"persona\": \"<string>\",\n \"region\": \"<string>\",\n \"language\": \"<string>\",\n \"intent\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"notes\": \"<string>\",\n \"category\": \"<string>\",\n \"articleStructure\": \"<string>\",\n \"culturalTone\": \"<string>\",\n \"formality\": \"<string>\",\n \"addressFormality\": \"<string>\",\n \"wordCount\": {\n \"min\": 123,\n \"target\": 123,\n \"max\": 123\n },\n \"requiredSections\": [\n \"<string>\"\n ],\n \"blockPreferences\": {},\n \"templateId\": \"<string>\",\n \"faqPosition\": \"<string>\",\n \"cta\": {},\n \"targetRegions\": [\n \"<string>\"\n ],\n \"targetMarkets\": [\n \"<unknown>\"\n ],\n \"locales\": [\n \"<string>\"\n ],\n \"locale\": \"<string>\",\n \"idea_text\": \"<string>\",\n \"primary_keyword\": \"<string>\",\n \"input_tags\": [\n \"<string>\"\n ],\n \"article_structure\": \"<string>\",\n \"cultural_tone\": \"<string>\",\n \"address_formality\": \"<string>\",\n \"word_count_min\": 123,\n \"word_count_target\": 123,\n \"word_count_max\": 123,\n \"required_sections\": [\n \"<string>\"\n ],\n \"block_preferences\": {},\n \"template_id\": \"<string>\",\n \"faq_position\": \"<string>\",\n \"target_regions\": [\n \"<string>\"\n ],\n \"target_markets\": [\n \"<unknown>\"\n ],\n \"position\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"keyword": "<string>",
"persona": "<string>",
"region": "<string>",
"language": "<string>",
"intent": "<string>",
"tags": [
"<string>"
],
"notes": "<string>",
"category": "<string>",
"source": "<string>",
"position": 123,
"status": "draft",
"locked": true,
"run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "queued",
"paused": true,
"executionMode": "<string>",
"latestActivityAt": "2023-11-07T05:31:56Z",
"targets": [
{
"marketRef": "<string>",
"language": "<string>",
"locale": "<string>",
"state": "queued",
"articleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"markets": [
{
"marketRef": "<string>",
"name": "<string>",
"countries": [
"<string>"
],
"language": "<string>"
}
],
"content": {
"articleStructure": "<string>",
"culturalTone": "<string>",
"formality": "<string>",
"addressFormality": "<string>",
"wordCount": {
"min": 123,
"target": 123,
"max": 123
},
"requiredSections": [
"<string>"
],
"blockPreferences": {},
"templateId": "<string>",
"faqPosition": "<string>",
"cta": {},
"targetRegions": [
"<string>"
]
},
"gap": {
"gapIds": [
"<string>"
],
"suggestionId": "<string>",
"targetScope": "<unknown>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "pending",
"input_tags": [
"<string>"
],
"metadata": {},
"source_suggestion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_gap_ids": [
"<string>"
],
"article_structure": "<string>",
"cultural_tone": "<string>",
"formality": "<string>",
"address_formality": "<string>",
"word_count_min": 123,
"word_count_target": 123,
"word_count_max": 123,
"required_sections": [
"<string>"
],
"block_preferences": {},
"template_id": "<string>",
"faq_position": "<string>",
"cta": {},
"target_regions": [
"<string>"
],
"target_markets": [
"<unknown>"
],
"locale": "<string>",
"locales": [
"<string>"
],
"cultural_overrides": {},
"idea_text": "<string>",
"primary_keyword": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}Authorizations
API key (sk_live_...) created at https://www.getsurfaced.ai/app/settings/account/api-keys